Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in wget
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in wget
ID: FEDORA-2019-7a0497cbc2
Distribution: Fedora
Plattformen: Fedora 29
Datum: Mo, 8. April 2019, 07:28
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5953
Applikationen: Wget

Originalnachricht

-------------------------------------------------------------------------------
-
Fedora Update Notification
FEDORA-2019-7a0497cbc2
2019-04-08 01:52:31.597669
-------------------------------------------------------------------------------
-

Name : wget
Product : Fedora 29
Version : 1.20.3
Release : 1.fc29
URL : http://www.gnu.org/software/wget/
Summary : A utility for retrieving files using the HTTP or FTP protocols
Description :
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

-------------------------------------------------------------------------------
-
Update Information:

* update to 1.20.3 * fixed CVE-2019-5953
-------------------------------------------------------------------------------
-
ChangeLog:

* Fri Apr 5 2019 Tomas Hozza <thozza@redhat.com> - 1.20.3-1
- Update to 1.20.3
- Fix CVE-2019-5953
* Sun Feb 3 2019 Fedora Release Engineering <releng@fedoraproject.org> -
1.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Wed Jan 2 2019 Tomas Hozza <thozza@redhat.com> - 1.20.1-1
- Update to 1.20.1
- Fix CVE-2018-20483
* Thu Dec 6 2018 Tomas Hozza <thozza@redhat.com> - 1.20-1
- Update to 1.20
- --secure-protocol=TLSv1_3 now works (#1623994)
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1695679 - CVE-2019-5953 wget: Buffer overflow vulnerability
https://bugzilla.redhat.com/show_bug.cgi?id=1695679
-------------------------------------------------------------------------------
-

This update can be installed with the "dnf" update program. Use
su -c 'dnf upgrade --advisory FEDORA-2019-7a0497cbc2' at the command
line. For more information, refer to the dnf documentation available at
http://dnf.readthedocs.io/en/latest/command_ref.html#upgrade-command-label

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list -- package-announce@lists.fedoraproject.org
To unsubscribe send an email to package-announce-leave@lists.fedoraproject.org
Fedora Code of Conduct: https://getfedora.org/code-of-conduct.html
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung